Bug 249295 - Kernel oops after "unable to handle kernel NULL pointer dereference at virtual address 0000005d"
Kernel oops after "unable to handle kernel NULL pointer dereference at virtua...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-07-23 11:29 EDT by Christopher Beland
Modified: 2008-05-06 15:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:43:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-07-23 11:29:17 EDT
Experienced the following oops while working on the subway.  Ethernet
address with static IP was activated, but I had no network
connectivity.  Doing an fsck on the main filesystem revealed no
problems.  The ntpd line and all of the kernel lines were all
generated within one second of each other.

uname -a says: Linux diet-anarchy 2.6.20-1.2962.fc6 #1 SMP Tue Jun 19 19:27:14
EDT 2007 i686 i686 i386 GNU/Linux

ntpd[4554]: frequency initialized 36.943 PPM from /var/lib/ntp/drift
kernel: BUG: unable to handle kernel NULL pointer dereference at virtual address
kernel:  printing eip:
kernel: c047ed14
kernel: *pde = 1bd03067
kernel: Oops: 0000 [#1]
kernel: SMP 
kernel: last sysfs file: /block/hda/hda1/stat
kernel: Modules linked in: ohci1394 ieee1394 button i915 drm autofs4
nf_conntrack_netbios_ns ipt
_REJECT nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink iptable_filter
ip_tables ip6t_REJECT xt_tcpudp ip6table_filter ip6_
tables x_tables dm_mirror dm_multipath dm_mod video sbs i2c_ec dock battery
asus_acpi backlight ac ipv6 parport_pc lp parport
 joydev snd_intel8x0m snd_intel8x0 snd_ac97_codec ac97_bus snd_seq_dummy
snd_seq_oss snd_seq_midi_event ide_cd snd_seq 8139to
o cdrom 8139cp snd_seq_device mii snd_pcm_oss snd_mixer_oss i2c_i801 snd_pcm
i2c_core iTCO_wdt iTCO_vendor_support snd_timer 
snd soundcore pcspkr snd_page_alloc serio_raw ata_piix libata sd_mod scsi_mod
ext3 jbd ehci_hcd ohci_hcd uhci_hcd
kernel: CPU:    0
kernel: EIP:    0060:[<c047ed14>]    Not tainted VLI
kernel: EFLAGS: 00210202   (2.6.20-1.2962.fc6 #1)
kernel: EIP is at time_out_leases+0x33/0x45
kernel: eax: c0007b34   ebx: 00000025   ecx: e870376c   edx: ec15c000
kernel: esi: c0007bf8   edi: 00000000   ebp: e870376c   esp: ec15ce7c
kernel: ds: 007b   es: 007b   ss: 0068
kernel: Process ntpd (pid: 4554, ti=ec15c000 task=d1e1adb0 task.ti=ec15c000)
kernel: Stack: 00000000 00000001 c047fb87 00000001 c0007b34 c0007b34 00000000
kernel:        00000000 c070ce40 ee936bc6 ec15cf30 c0478a53 c0007b34 00000001
kernel:        ec15cf30 c0479a67 ec15cf30 ec15cf30 e1610628 ffffff9c 00000000
kernel: Call Trace:
kernel:  [<c047fb87>] __break_lease+0x55/0x2a9
kernel:  [<c04c9103>] selinux_inode_permission+0x9e/0xa3
kernel:  [<ee936bc6>] ext3_permission+0x0/0xa [ext3]
kernel:  [<c0478a53>] permission+0xc8/0xdb
kernel:  [<c0479a67>] may_open+0x11e/0x1fe
kernel:  [<c047b99c>] open_namei+0x27a/0x596
kernel:  [<c0471291>] do_filp_open+0x25/0x39
kernel:  [<c047105f>] get_unused_fd+0xb3/0xbd
kernel:  [<c04712e7>] do_sys_open+0x42/0xbe
kernel:  [<c047139c>] sys_open+0x1c/0x1e
kernel:  [<c0403f64>] syscall_call+0x7/0xb
kernel:  [<c0620033>] rt_mutex_lock_interruptible+0x37/0x4e
kernel:  =======================
kernel: Code: eb 23 8b 4b 50 85 c9 74 09 a1 00 bc 73 c0 39 c8 79 04 89 de eb 0f
83 e2 ef 89 f0 e
8 d4 fe ff ff 3b 1e 0f 44 f3 8b 1e 85 db 74 0f <f6> 43 38 20 74 09 0f b6 53 39
f6 c2 10 75 c8 5b 5e c3 53 89 c3 
kernel: EIP: [<c047ed14>] time_out_leases+0x33/0x45 SS:ESP 0068:ec15ce7c
Comment 1 Jon Stanley 2008-01-07 20:50:28 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Christopher Beland 2008-01-23 17:13:47 EST
I haven't experienced an oops with this particular trace with Fedora 8, though I
have reported other oopses in separate bugs.  I'm beginning to suspect there
might be a general problem when I suspend/hibernate which results in a variety
of kernel crashes.  (See bug 428329.)
Comment 3 Bug Zapper 2008-04-04 03:28:49 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:43:01 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.